Skip to main content
POST
Add User To Workspace

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

API request schema for adding a user to a workspace. If the email belongs to an unregistered user, a stub user will be created.

email
string
required

Email of the user to add to workspace

role
enum<string>
default:member

Role to assign to the user (must be a workspace role: owner, member, member_limited)

Available options:
owner,
member,
member_limited,
full_access,
editor,
commenter,
downloader,
viewer,
no_access

Response

Successful Response

API response schema for a workspace user.

id
string<uuid>
required

User ID

first_name
string
required

User's first name

last_name
string
required

User's last name

email
string
required

User's email address

role
enum<string>
required

User's workspace role

Available options:
owner,
member,
member_limited,
full_access,
editor,
commenter,
downloader,
viewer,
no_access
actions
integer
required

Permission bitmap derived from role

avatar_url
string | null

User's avatar URL

external_id
string | null

External user ID from auth provider (None for stub users)

explicit_permission_count
integer | null

Count of explicit project permissions in the workspace

accessible_project_count
integer | null

Count of accessible projects (MEMBER users only)